"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRectStyles = exports.useSimpleStyles = exports.useDefaultStyles = void 0;
const rn_components_theme_1 = require("@spryrocks/rn-components-theme");
const useBaseStyles = ({ style, theme, enabled, }) => ({
    horizontalContainer: {
        flexDirection: 'row',
        alignItems: 'center',
    },
    content: {},
    childrenContainer: {
        position: 'absolute',
        justifyContent: 'center',
        alignItems: 'center',
        left: 0,
        top: 0,
        right: 0,
        bottom: 0,
    },
    text: Object.assign(Object.assign(Object.assign(Object.assign({}, theme === null || theme === void 0 ? void 0 : theme.text), style === null || style === void 0 ? void 0 : style.text), (!enabled && (theme === null || theme === void 0 ? void 0 : theme.textDisabled))), (!enabled && (style === null || style === void 0 ? void 0 : style.textDisabled))),
    leftImage: Object.assign(Object.assign({}, theme === null || theme === void 0 ? void 0 : theme.leftImage), style === null || style === void 0 ? void 0 : style.leftImage),
});
const useDefaultStyles = ({ enabled, style, }) => {
    var _a;
    const theme = (_a = (0, rn_components_theme_1.useTheme)().button) === null || _a === void 0 ? void 0 : _a.default;
    const baseStyles = useBaseStyles({ enabled, theme, style });
    return Object.assign(Object.assign({}, baseStyles), { container: Object.assign(Object.assign(Object.assign(Object.assign({ paddingVertical: 12, paddingHorizontal: 30, alignItems: 'center', justifyContent: 'center' }, theme === null || theme === void 0 ? void 0 : theme.container), style === null || style === void 0 ? void 0 : style.container), (!enabled && (style === null || style === void 0 ? void 0 : style.containerDisabled))), (!enabled && (theme === null || theme === void 0 ? void 0 : theme.containerDisabled))), touchableHighlight: Object.assign({ underlayColor: '#666666' }, theme === null || theme === void 0 ? void 0 : theme.touchableHighlight) });
};
exports.useDefaultStyles = useDefaultStyles;
const useRectStyles = ({ style, enabled, }) => {
    var _a;
    const theme = (_a = (0, rn_components_theme_1.useTheme)().button) === null || _a === void 0 ? void 0 : _a.rect;
    const baseStyles = useBaseStyles({ enabled, theme, style });
    return Object.assign(Object.assign({}, baseStyles), { container: Object.assign(Object.assign({ paddingVertical: 16, paddingHorizontal: 30, alignItems: 'center', justifyContent: 'center' }, style === null || style === void 0 ? void 0 : style.container), theme === null || theme === void 0 ? void 0 : theme.container), touchableHighlight: Object.assign({ underlayColor: '#666666' }, theme === null || theme === void 0 ? void 0 : theme.touchableHighlight) });
};
exports.useRectStyles = useRectStyles;
const useSimpleStyles = ({ style, enabled, }) => {
    var _a;
    const theme = (_a = (0, rn_components_theme_1.useTheme)().button) === null || _a === void 0 ? void 0 : _a.simple;
    const baseStyles = useBaseStyles({ enabled, theme, style });
    return Object.assign(Object.assign({}, baseStyles), { touchableOpacity: Object.assign(Object.assign({ activeOpacity: 0.8 }, theme === null || theme === void 0 ? void 0 : theme.touchableOpacity), style === null || style === void 0 ? void 0 : style.container) });
};
exports.useSimpleStyles = useSimpleStyles;
