import { ImageSourcePropType } from 'react-native';
import { ButtonStyle } from './ButtonStyle';
import React from 'react';
export type VisualStyle = 'default' | 'rect' | 'simple';
interface ButtonProps {
    style?: ButtonStyle;
    onPress?: () => void;
    visualStyle?: VisualStyle;
    text?: string;
    image?: ImageSourcePropType;
    enabled?: boolean;
    leftImage?: ImageSourcePropType;
    testID?: string;
}
declare const Button: React.FC<React.PropsWithChildren<ButtonProps>>;
export default Button;
